Subject: Re: bug#12579: Emacs 24.2 crashes or freezes

From: Eli Zaretskii <[email-masked]>
Date: Wed, 19 Dec 2012 19:06:34 +0200

> From: "Sebastien Vauban" <[email-masked]>
> Date: Wed, 19 Dec 2012 09:35:43 +0100
> 
> - I used Helm (with its Everything companion -- that is some sort of "locate"
>   for Windows, even better than the Unix one btw) on Emacs 22/23 for months
>   (if not for one to two years).
> 
> - I used it with the above setting for `shell-file-name' -- that is unchanged
>   in my .emacs file for years (while other settings may be often added or
>   removed).
> 
> All of that without (any? or much?) problems... but the Helm code base I'm
> using now is not the same as before -- I'm as good as up-to-date for all tests
> I did with the new Emacs versions, to be sure to avoid problems which would
> have been fixed on one side or the other.
> 
> So, I've no comparison where only Emacs version would differ, reason why I
> can't honestly answer a definite "yes".
> 
> But, for sure, things were very bad with the first versions of Emacs 24: in
> the beginning, I had a lot of crashes (multiple times a day with Emacs 24.1);
> now (with the latest versions), it simply freezes when the process "es.exe"
> becomes suspended.

To be able to debug this, I'd need to see a full sequence of
Lisp-level API calls that lead to the problem.  This is difficult to
obtain because the problem happens rarely.  I suspect that the problem
is related with Emacs killing the process; because es.exe is being run
via the shell, Emacs actually kills the shell (because that's the only
subprocess it knows about), and relies on the shell to kill its
children.  (On Windows, killing a process doesn't kill its children.)
For some reason, es.exe sometimes hangs in this situation, but only if
the shell is the Cygwin Bash -- the stock cmd.exe doesn't suffer from
this problem.

Anyway, this is guesswork, I don't have any real evidence to back it
up.